¿Como instalo entorno grafico en Debian 9 netinst?

11 envíos / 0 nuevos
Último envío
#1 Sáb, 03/02/2018 - 17:13
SistemaRayoXP
Imagen de SistemaRayoXP
Desconectado/a
se unió: 03/02/18

¿Como instalo entorno grafico en Debian 9 netinst?

Estado: 
[ACTIVO]

Me gustaría evitar Debian con entorno gráfico por defecto (Instalare netinst), pero no se como instalar un entorno grafico, me gustaría Enlightenment o Xfce. Si alguien sabe algo al respecto se los agradecería. Gracias

Sáb, 03/02/2018 - 17:24
caliban
Imagen de caliban
Desconectado/a
moderador
se unió: 14/01/16

Actualiza tu lista de repositorios  ( /etc/apt/sources.list ) luego

aptitude update
aptitude install xfce4

Desconozco cuanto instalaste luego del netinst, O como lo instalaste.

Supongo que te faltara instalar una serie de aplicaciones utiles que no vienen con el netinst, asi mismo seguramente  ( a menos que te conformes con iniciar con startx,, ) instalaras un gestor de inicio .

Edito:Como no uso un entorno de escritorio y mi sistema es  debian sid, desconozco las caracteristicas actuales de xfce ,,asi que ,,para la versión :

aptitude versions  xfce4

Tampoco se ( alguien te lo informara ) si ahora los entornos de escritorio arrastran por defecto el paquete xorg,,o tendrás que instalarlo manualmente .

Por cierto ,buscar en internet ,te dará decenas de resultados,,paso a paso ,bla bla .

Sáb, 03/02/2018 - 17:28
Devoto (no verificado)
Imagen de Devoto

Es muy sencillo, para buscar lo que quieras instalar, pero sin saber cual es su nombre,  puedes valerte de apt:

 

apt-cache search "paquete o palabra clave"

 

En tu caso, yo lo que haría es instalar un metapaquete que lleve todo lo que necesite el entorno en cuestión. Para XFCE tan solo instala el paquete xfce4.

Sáb, 03/02/2018 - 17:54
gacs
Imagen de gacs
Desconectado/a
colaborador
se unió: 21/04/16

El Enlightenment que especificas en sid pues no se encuentra,talves en las otras ramas esten prueba con

aptitude search enlightenment
o
apt search enlightenment

al buscar utilizo mas aptitude que apt por la forma que presenta la información la veo mas ordenada, pero para gusto los colores.

si te los lista quiere decir que en la rama que te encuentras lo puedes instalar con la siguiente sentencia

apt install enlightenment

para tu equipo tienes tambien lxde y lxqt

si quieres ver que te instala cada de los paquetes de escritorio lista la sentencia

# aptitude show lxde
Paquete: lxde                                 
Versión: 9
Estado: sin instalar
Prioridad: opcional
Sección: metapackages
Desarrollador: Debian LXDE Maintainers <pkg-lxde-maintainers@lists.alioth.debian.org>
Arquitectura: all
Tamaño sin comprimir: 10.2 k
Depende de: galculator | gnome-calculator, gpicview, leafpad, lxappearance, lxappearance-obconf, lxde-core, lxde-icon-theme,
            lxhotkey-gtk, lxinput, lxrandr, lxsession-edit, lxterminal, xarchiver
Recomienda: clipit, deluge | transmission-gtk, evince | pdf-viewer, gnome-disk-utility, smplayer | vlc | mplayer-gui,
            gnome-system-tools, gucharmap, firefox-esr | firefox | www-browser, lightdm | x-display-manager, lxmusic | audacious,
            lxpolkit, menu-xdg, usermode, wicd | network-manager-gnome, xserver-xorg
Sugiere: gimp, libreoffice, lxlauncher, lxtask, pidgin, pk-update-icon, xfce4-power-manager
Descripción: Metapackage for LXDE
 The Lightweight X11 Desktop Environment (LXDE) is a project aimed to provide a desktop environment which is lightweight and fast. 
 
 This package is a metapackage depends on the core components and recommended components of the LXDE. It includes lxde-core,
 lxappearance, lxinput, lxsession-edit, gpicview, lxterminal, lxrandr, galculator, leafpad and xarchiver. 
 
 If you just want to pick and choose the LXDE components then feel free to remove this package.
Página principal: http://www.lxde.org/
Marcas: interface::graphical, interface::x11, role::metapackage, scope::suite, suite::TODO, uitoolkit::gtk

 

una ves que instales se instalaran automaticamente los paquetes asta donde dice recomienda, los que dice sugiere esos paquetes no se instalan automaticamente tienes que instalarlos manualmente por ejemplo gimp seria

apt install gimp

recuerda que las instalaciones debe estar logueado como root

 

 

 Saludos

 

Sáb, 03/02/2018 - 19:41
moonwatcher
Imagen de moonwatcher
Desconectado/a
moderador
se unió: 21/01/16

Hace mucho que no instalo Debian, pero creo que no habrá variado demasiado. Después de instalar el sistema base (con netint) debes instalar el entorno gráfico:

# apt install xorg xinit

El sonido:

# apt install alsa-base

Y el escritorio que quieras:

#apt install xfce4 xfce4-goodies o e17 (e17 es enlightenment)

Con eso tienes suficiente para poder arrancar (con startx) y tener un sistema básico y usable (e17 viene pelado de programas asi que tendrás que instalar aparte.XFCE4 es un escritorio completo que trae sus propios programas)

 

We were but stones. Your light made us stars

https://linuxveredas.blogspot.com.es/

Jue, 08/02/2018 - 20:19
SistemaRayoXP
Imagen de SistemaRayoXP
Desconectado/a
se unió: 03/02/18

Gracias a todos por sus prontas respuestas (Debian SI que tiene una gran comunidad), pero ahora tengo un nuevo problema: Ni Xfce ni Enlightenment (Y ni Aptitude) son listados en los paquetes disponibles de APT. ¿Alguien sabe que repositorios o espejos se necesitan? Originalmente solo vi un repositorio "pre-instalado" ¿O sera otra cosa?

 El futuro es el software libre, solo necesita refinarse!

Jue, 08/02/2018 - 20:27
caliban
Imagen de caliban
Desconectado/a
moderador
se unió: 14/01/16

Copia y pega aca el contenido de /etc/apt/sources.list  Por ejemplo abris un emulador de terminal y :

cat  /etc/apt/sources.list

Copias y pegas aca el contenido de lo que sale 

Jue, 08/02/2018 - 21:36
rockyiii
Imagen de rockyiii
Desconectado/a
administrator
se unió: 11/01/16

Por lo que veo enlightenment esta en el repositorio experimental https://packages.debian.org/experimental/enlightenment asi que supongo que para poder instalarlo lo más probable es que debas tener tu debian pasado a testing o sid y sin ninguna garantía de que funcione.

Con respecto a xfce el paquete se llama xfce4 https://packages.debian.org/stretch/xfce4

sobre el tema de aptitude esta en los repos de debian desde siempre https://packages.debian.org/stretch/aptitude

 

¿No estarás poniendo la primer letra de los nombres en mayúsculas?

saludos...

Sáb, 10/02/2018 - 14:04
SistemaRayoXP
Imagen de SistemaRayoXP
Desconectado/a
se unió: 03/02/18

Contenido de /etc/apt/sources.list (No se si recuerdan, pero no tengo entorno grafico, tuve que arrancar desde un LiveCD)

#

# deb cdrom:[Debian GNU/Linux 9.2.0 _Stretch_ - Official i386 NETINST 20171007-13:31]/ stretch main

#deb cdrom:[Debian GNU/Linux 9.2.0 _Stretch_ - Official i386 NETINST 20171007-13:31]/ stretch main

deb http://security.debian.org/debian-security stretch/updates main
deb-src http://security.debian.org/debian-security stretch/updates main

# stretch-updates, previously known as 'volatile'
# A network mirror was not selected during install.  The following entries
# are provided as examples, but you should amend them as appropriate
# for your mirror of choice.

deb http://deb.debian.org/debian/ stretch-updates main
deb-src http://deb.debian.org/debian/ stretch-updates main

# stretch-backports, previously on backports.debian.org
# A network mirror was not selected during install.  The following entries
# are provided as examples, but you should amend them as appropriate
# for your mirror of choice.

# deb http://deb.debian.org/debian/ stretch-backports main
# deb-src http://deb.debian.org/debian/ stretch-backports main

 El futuro es el software libre, solo necesita refinarse!

Sáb, 10/02/2018 - 17:22 (Responder a #9)
moonwatcher
Imagen de moonwatcher
Desconectado/a
moderador
se unió: 21/01/16

Con eso te debe bastar para instalar xfce o enlightenment. Ya te lo puse mas arriba.

moonwatcher wrote:

Y el escritorio que quieras:

#apt install xfce4 xfce4-goodies o e17 (e17 es enlightenment)

De todas formas, después de una instalación lo primero que se suele hacer es editar el sources.list. A la larga te va a hacer falta. Estúdiate este articulo de la wiki que es muy instructivo:

https://exdebian.org/wiki/introducci%C3%B3n-los-repositorios-de-debian#4

Para editarlo puedes usar nano.

# nano /etc/apt/sources.list

Una vez hechos los cambios los guardas con crtl + o y sales de nano con crtl + x

P.D. No hace falta tener entorno gráfico para usar una terminal.

EDITO: aptitude no te funciona porque no viene instalado por defecto. Para instalarlo:

# apt install aptitude

P.D. 2 La terminal no reconoce las mayúsculas, asi que olvídate de ellas.

We were but stones. Your light made us stars

https://linuxveredas.blogspot.com.es/

Sáb, 10/02/2018 - 17:32
caliban
Imagen de caliban
Desconectado/a
moderador
se unió: 14/01/16

 

Para comenzar  ,editas tu sources.list  como root   y   Para editar :

nano  /etc/apt/sources.list   

##  haces las modificaciones necesarias y luego salis guardando con 
[Ctrl] [x]  y  respondes [y] ( yes ) o' [s] (si)
#i386 NETINST 20171007-13:31]/ stretch main

Fijate el agregado del símbolo #  .esto hace que bash  no tenga en cuenta dicha entrada , 

Esa linea indica el cd , por lo tanto si no esta comentada apt /aptitude ,solo tendrá en cuenta como repositorio de paquetes  lo que contenga el cd ,al comentalo  deja de tenerlo en cuenta y actualiza la lista desde los repositorios configurados en el sources.list ,,luego de actualizarlos (update) 

A las otras entradas 

deb  http://deb.debian.org/debian stretch main contrib non-fre
deb-src  http://deb.debian.org/debian stretch main contrib non-free

deb  http://deb.debian.org/debian stretch-updates main contrib non-free
deb-src  http://deb.debian.org/debian stretch-updates main contrib-non-free

deb http://security.debian.org/debian-security/ stretch/updates main contrib non-free
deb-src http://security.debian.org/debian-security/ stretch/updates main contrib non-free

Luego ejecutas 

aptitude update 
aptitude safe-upgrade
## o si no tuvieras aptitude  
apt-get  update
apt-get upgrade

https://wiki.debian.org/SourcesList